Bug 188412 - [GTK] Mark some Web workers tests as flaky
Summary: [GTK] Mark some Web workers tests as flaky
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Linux
: P2 Minor
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-08 10:50 PDT by darshan
Modified: 2018-09-24 01:11 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.23 KB, patch)
2018-08-08 11:05 PDT, darshan
no flags Details | Formatted Diff | Diff
Patch (1.99 KB, patch)
2018-08-09 08:03 PDT, darshan
no flags Details | Formatted Diff | Diff
Patch (2.01 KB, patch)
2018-08-13 10:50 PDT, darshan
fred.wang: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darshan 2018-08-08 10:50:12 PDT
These tests are showing flaky nature on GTK port

imported/w3c/web-platform-tests/workers/interfaces/WorkerGlobalScope/onerror/exception-in-onerror.html
imported/w3c/web-platform-tests/workers/WorkerGlobalScope_ErrorEvent_message.htm
imported/w3c/web-platform-tests/workers/interfaces/WorkerGlobalScope/onerror/exception-in-onerror.html 
imported/w3c/web-platform-tests/workers/WorkerGlobalScope_ErrorEvent_colno.htm
imported/w3c/web-platform-tests/workers/WorkerGlobalScope_ErrorEvent_filename.htm 
imported/w3c/web-platform-tests/workers/WorkerGlobalScope_ErrorEvent_filename.htm 
imported/w3c/web-platform-tests/workers/WorkerGlobalScope_ErrorEvent_lineno.htm
Comment 1 darshan 2018-08-08 11:05:24 PDT
Created attachment 346778 [details]
Patch
Comment 2 Build Bot 2018-08-08 11:06:30 PDT
Attachment 346778 [details] did not pass style-queue:


ERROR: LayoutTests/platform/gtk/TestExpectations:1936:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/gtk/TestExpectations:1936:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/gtk/TestExpectations:1941:  Duplicate or ambiguous entry lines LayoutTests/platform/gtk/TestExpectations:1940 and LayoutTests/platform/gtk/TestExpectations:1941.  [test/expectations] [5]
Total errors found: 3 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Frédéric Wang (:fredw) 2018-08-08 14:19:05 PDT
Comment on attachment 346778 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=346778&action=review

> LayoutTests/ChangeLog:3
> +        Wokers related flaky tests

Workers (with a R). Maybe rename the bug "[GTK] Mark some Web workers tests as flaky".

> LayoutTests/platform/gtk/TestExpectations:1936
> +webkit.org/b/188412 eb-platform-tests/workers/interfaces/WorkerGlobalScope/onerror/exception-in-onerror.html [ Failure Pass ]

This line looks strange, I guess that's why the style fails.
Comment 4 Michael Catanzaro 2018-08-08 15:35:14 PDT
Comment on attachment 346778 [details]
Patch

Yeah the errors need fixed:

> ERROR: LayoutTests/platform/gtk/TestExpectations:1936:  Path does not exist.
> [test/expectations] [5]
> ERROR:
> /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/gtk/TestExpectations:
> 1936:  Path does not exist.  [test/expectations] [5]
> ERROR:
> /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/gtk/TestExpectations:
> 1941:  Duplicate or ambiguous entry lines
> LayoutTests/platform/gtk/TestExpectations:1940 and
> LayoutTests/platform/gtk/TestExpectations:1941.  [test/expectations] [5]
> Total errors found: 3 in 2 files
Comment 5 darshan 2018-08-09 08:03:02 PDT
Created attachment 346835 [details]
Patch
Comment 6 Michael Catanzaro 2018-08-09 10:01:57 PDT
Comment on attachment 346835 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=346835&action=review

> LayoutTests/ChangeLog:3
> +        Wokers related flaky tests

This line should be the title of the bug: "[GTK] Mark some Web workers tests as flaky"

Also note wokers is misspelled

> LayoutTests/platform/gtk/TestExpectations:1936
> +webkit.org/b/188412 imported/w3c/web-platform-tests/workers/interfaces/WorkerGlobalScope/onerror/exception-in-onerror.html [ Failure Pass ]

This should point to a different bug (which you can report now) to fix the issue, since we want TestExpectations to point to open unresolved bugs. This bug #188412 is going to be closed by commit-queue as soon as your patch is committed.

> LayoutTests/platform/gtk/TestExpectations:1942
> +
> +

No need for two blank lines here. One will do.
Comment 7 darshan 2018-08-13 10:50:43 PDT
Created attachment 347017 [details]
Patch
Comment 8 Frédéric Wang (:fredw) 2018-09-24 01:11:32 PDT
Comment on attachment 347017 [details]
Patch

r- since Michael's comment "This should point to a different bug (which you can report now) to fix the issue," has not been addressed.